Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module (guix build utils)

From: Roel Janssen <[email-masked]>
Date: Fri, 25 May 2018 11:28:40 +0200

Ludovic Courtès <[email-masked]> writes:

> George myglc2 Clemmer <[email-masked]> skribis:
>
>> cd guix && guix environment guix -- make
>> The following derivations will be built:
>>    /gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv
>>    /gnu/store/qikmbskc6598vld2lhb2pn30h1rwxgc8-xdg-mime-database.drv
>>    /gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv
>>    /gnu/store/bdg4x3925r9l3458li48hp1i26shd7yw-manual-database.drv
>> Backtrace:
>>           10 (primitive-load "/gnu/store/611mdvnasj59v5j46g8mhq7aw0g?")
>> In ice-9/eval.scm:
>>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
>> In ice-9/psyntax.scm:
>>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
>>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
>> In ice-9/boot-9.scm:
>>   3365:20  4 (process-use-modules _)
>>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>>   3366:31  2 (_ ((guix build utils)))
>>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
>> In unknown file:
>>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>>
>> ERROR: In procedure scm-error:
>> no code for module (guix build utils)
>> Creating manual page database...
>> builder for `/gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv' failed with exit code 1
>
> I’m merging it with <https://bugs.gnu.org/28144>.  No fix yet but we’re
> working on it.  In the meantime, ‘guix pull’ may allow you to work
> around it.

I'm using a git checkout of Guix, and I am encountering this bug with
version 217af8ae7.  Is there a work-around?

Kind regards,
Roel Janssen